Subject: Re: [PATCHv2 1/3] l10n: de.po: switch from pure German to German+English (part 1)

From: Thomas Rast <[email-masked]>
Date: Mon, 15 Jul 2013 23:53:38 +0200

Ralf Thielow <[email-masked]> writes:

>  #: merge-recursive.c:268
>  msgid "error building trees"
> -msgstr "Fehler beim Erstellen der Bäume"
> +msgstr "Fehler beim Erstellen der Verzeichnisse"

This should remain "Bäume" or possibly '"Tree"-Objekte', as it refers to
a failure within write_tree_from_memory().

>  #: merge-recursive.c:1815
>  #, c-format
>  msgid "merging of trees %s and %s failed"
> -msgstr "Zusammenführen der Bäume %s und %s fehlgeschlagen"
> +msgstr "Zusammenführen der Verzeichnisse %s und %s fehlgeschlagen"

Similarly; here merge_trees() is failing.

>  #: pathspec.c:99
>  #, c-format
>  msgid "'%s' is beyond a symbolic link"
> -msgstr "'%s' ist über einem symbolischen Link"
> +msgstr "'%s' ist hinter einem symbolischen Verweis"

Good fix for a pretty bad preimage :-)

>  #: remote.c:1787
>  msgid "  (use \"git push\" to publish your local commits)\n"
> -msgstr "  (benutzen Sie \"git push\" um lokalen Versionen herauszubringen)\n"
> +msgstr "  (benutzen Sie \"git push\" um lokale Commits herauszubringen)\n"

I don't see this in the glossary.  "Publizieren" is a perfectly good
german word, can't we use this?  "Herausbringen" allows some other
interpretations that "publizieren" doesn't.

>  #: sequencer.c:1119
>  msgid "Can't revert as initial commit"
> -msgstr "Rücknahme-Version kann nicht initial sein."
> +msgstr "Revert-Commit kann nicht initial sein."

Not a new problem, but how about

  Kann nicht als allerersten Commit einen Revert ausführen.

(This should then go into the glossary for "initial commit".)

>  #: sequencer.c:1120
>  msgid "Can't cherry-pick into empty head"
> -msgstr "Kann \"cherry-pick\" nicht in einem leeren Zweig ausführen."
> +msgstr "Kann \"cherry-pick\" nicht in einem leeren Branch ausführen."

Could reuse the same formulation as above; the symptom is the same,
though not the English message.

> @@ -1494,7 +1496,7 @@ msgstr "  (alle Konflikte behoben: führen Sie \"git commit\" aus)"
>  #: wt-status.c:970
>  #, c-format
>  msgid "You are currently reverting commit %s."
> -msgstr "Sie nehmen gerade Version '%s' zurück."
> +msgstr "Sie nehmen gerade Commit '%s' zurück."

"Revert" is partly untranslated in other messages.  Any strong opinions?
If you would like to consistently leave it untranslated, this message
could be

  Sie sind gerade an einem Revert von Commit '%s'.

>  #: builtin/apply.c:3850
>  #, c-format
>  msgid "corrupt patch for subproject %s"
> -msgstr "fehlerhafter Patch für Unterprojekt %s"
> +msgstr "fehlerhafter Patch für Submodul %s"

We could change this on the English side too, though the patch format is
frozen and calls them "subprojects" (sigh).

> @@ -2330,12 +2331,12 @@ msgstr "erwartet keinen Kontext"
>  #: builtin/apply.c:4406
>  msgid "leave the rejected hunks in corresponding *.rej files"
>  msgstr ""
> -"hinterlässt zurückgewiesene Patch-Bereiche in den entsprechenden *.rej "
> +"hinterlässt zurückgewiesene Patch-Blöcke in den entsprechenden *.rej "
>  "Dateien"

Not a new problem, but "in entsprechenden *.rej" (dropping the article)
would be more accurate, wouldn't it?

>  #: builtin/blame.c:2369
>  msgid "Ignore whitespace differences"
> -msgstr "Ignoriert Unterschiede in Leerzeichen"
> +msgstr "Ignoriert Unterschiede in Whitespaces"

  Ignoriert Unterschiede in Whitespace

(dropping the final s)?

I saw that you matched the German gender of the English words to the
gender that your favorite translation has in German, which I think is
fine.  But whitespace is not countable (at least in my ears), and I
think that should be inherited into the pseudo-German usage.

>  #: builtin/branch.c:585
>  #, c-format
>  msgid "(no branch, bisect started on %s)"
> -msgstr "(kein Zweig, Neuaufbau begonnen bei %s)"
> +msgstr "(kein Branch, Rebase begonnen bei %s)"

You turned bisect into rebase (not new, but still).

>  #: builtin/checkout.c:1053
>  msgid "new unparented branch"
> -msgstr "neuer Zweig ohne Elternversion"
> +msgstr "neuer Branch ohne Elternversion"

Elternversions should become Eltern-Commit according to the glossary.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch